Subject: Re: bug#35380: disk-image fails to install efi grub

From: rendaw <[email-masked]>
Date: Fri, 3 May 2019 22:18:01 +0900

On 5/3/19 7:17 AM, Marius Bakke wrote:
> It would be great to have UEFI support in the <virtual-machine> record,
> mainly for system tests, but I doubt that is what rendaw is after :-)

Yeah, ideally I'd like secure boot from the flashed media but failing
that I'd at least like to be moving closer to it (boot without having to
enable legacy boot).

> That means you can't just take an operating system hard drive from one
> EFI system to another.

I'm absolutely not an expert on UEFI, and it's likely I'm
misinterpreting some of the more subtle points you wrote, but do you
have more information on the NVRAM restriction?  I've found a fair
amount of references to making secure boot and UEFI capable media (USB
and CD) around the web so I'm surprised it's not possible to make a
portable UEFI image.  Wouldn't that make it difficult to install UEFI
bootloaders on blank systems?